﻿/* Form Elements Cascading Style Sheet Definitions */

/* Select/Dropdowns - Controlled by JQuery UI */

/* Buttons */

input[type=submit] {
    height: 36px;
    border: 1px solid #c7d4dd;
    background: #e8e9eb;
    padding: 8px 12px;
    box-sizing: border-box;
    font-family: 'Roboto', Trebuchet, Arial !important;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 20px;
    margin-right: 10px;
}

input[type=submit]:hover {
    cursor: pointer;
    background: #D0D3D8;
    border: 1px solid #C7D4DD;
}

input[type=submit]:disabled:hover {
    cursor: not-allowed;
}

input[type=submit]:focus {
    border: 1px solid #007DBA;
    box-shadow: 0px 0px 5px #007DBA;
    outline: none;
}

input[type=submit].cta {
    background: #007DBA;
    color: #ffffff;
    border: unset;
}

input[type=submit].cta:hover {
    background: #3397C7;
}

input[type=submit].cta:disabled:hover {
    cursor: not-allowed;
}

input[type=submit].cta:focus {
    border: 1px solid #5C6875;
    box-shadow: 0px 0px 5px #007DBA;
    outline: none;
}


/* Text Boxes */

input[type=text] {
    height: 36px;
    border: 1px solid #c7d4dd;
    background: #ffffff;
    min-width: 35px;
    box-sizing: border-box;
    /* padding: 8px 12px; */
    padding: 0px 8px;
    font-family: 'Roboto', Trebuchet, Arial !important;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #000000;
    text-transform: uppercase;
}

input[type=text]:hover {
    border: 1px solid #57657A;
}

input[type=text]:focus {
    border: 2px solid #007DBA;
    outline: none;
}

input[type=text][disabled] {
    background: #ffffff;
    color: #C7D4DD;
    outline: none;
}

input[type=text][readonly] {
    background: #E8E9EB;
    color: #57657A;
}

/*input[type=text].hasDatepicker {
    background-image: url('../Default/images/jquery/calendar_month.svg');
    background-Position: 97% center;
    background-Repeat: no-repeat;
    background-size: 15px 15px;
}

input[type=text].hasDatepicker:disabled {
    background-image: url('../Default/images/jquery/calendar_month_disabled.svg');
    background-Position: 97% center;
    background-Repeat: no-repeat;
    background-size: 15px 15px;
}
*/
input[type=password] {
    height: 36px;
    border: 1px solid #c7d4dd;
    background: #ffffff;
    min-width: 35px;
    box-sizing: border-box;
    /* padding: 8px 12px; */
    padding: 0px 8px;
    font-family: 'Roboto', Trebuchet, Arial !important;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #000000;
}

input[type=password]:hover {
    border: 1px solid #57657A;
}

input[type=password]:focus {
    border: 2px solid #007DBA;
    outline: none;
}

textarea {
    height: 36px;
    border: 1px solid #c7d4dd;
    background: #ffffff;
    min-width: 35px;
    box-sizing: border-box;
    /* padding: 8px 12px; */
    padding: 8px;
    font-family: 'Roboto', Trebuchet, Arial !important;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #000000;
}

textarea:hover {
    border: 1px solid #57657A;
}

textarea:focus {
    border: 2px solid #007DBA;
    outline: none;
}

textarea[disabled] {
    background: #ffffff;
    color: #C7D4DD;
    outline: none;
}

textarea[readonly] {
    background: #E8E9EB;
    color: #57657A;
}

.textbox {
}

.textbox-readonly {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari, Chrome, Opera, Samsung */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Edge, IE */
    user-select: none; /* Modern browsers */
    pointer-events: none;
}

.textbox-likelabel {
    border: none;
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari, Chrome, Opera, Samsung */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Edge, IE */
    user-select: none; /* Modern browsers */
    pointer-events: none; 
}

.textbox-numeric {
    text-align: right;
}

.textbox-numeric-readonly {
    text-align: right;
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari, Chrome, Opera, Samsung */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Edge, IE */
    user-select: none; /* Modern browsers */
    pointer-events: none; 
}


/* Radio Buttons */

input[type=radio] {
    accent-color: #007DBA;
    box-sizing: border-box;
    border: 1px solid #57657A;
    border-radius: 1px;
}

input[type=radio]:focus {
    outline: none;
    filter: drop-shadow(0px 0px 5px #007DBA);
}

input[type=radio]:hover {
    cursor: pointer;
}

input[type=radio]:disabled:hover {
    cursor: default;
}


/* Check Boxes */

input[type=checkbox] {
    accent-color: #007DBA;
    box-sizing: border-box;
    border: 1px solid #57657A;
    border-radius: 1px;
}

input[type=checkbox]:focus {
    outline: none;
    filter: drop-shadow(0px 0px 5px #007DBA);
}

/*
input[type=checkbox]:hover {
	border: 1px solid #007DBA;
}
*/


/* Label */

label {
    font-family: 'Roboto', Trebuchet, Arial !important;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    height: 20px;
    line-height: 20px;
    color: #57657a;
    font-feature-settings: "clig" off, "liga" off;
    text-transform: uppercase;
}

label:has(+ input[type=text]) {
    font-weight: 500;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0.14px;
    padding-right: 5px;
}

label:has(+ input[type=password]) {
    font-weight: 500;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0.14px;
    padding-right: 5px;
}

label:has(+ select) {
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0.14px;
    padding-right: 5px;
}

label .labelBig {
    font-size: 14px;
}

.labelBig:has(+ input[type=text]) {
    font-size: 14px;
}

.labelBig:has(+ input[type=password]) {
    font-size: 14px;
}

.labelTop {
    display: block;
}

.labelTopLeft {
    display: block;
    text-align: left;
}

.labelTopCenter {
    display: block;
    text-align: center;
}


/* Anchors */

a {
    color: #007DBA;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
}

a:visited {
    color: #007DBA;
}

a.disabled {
    color: #CED9E1;
    pointer-events: none;
    cursor: default;
}


/* Miscellaneous */

.noTextTransform {
    text-transform: !important;
}

